<div class="section">
  <div class="container">
    <div class="heading">
      <h2 class="text-center">Screenshots</h2>
    </div>
    <div class="carousel">
      <div class="carousel-inner shadow">
        {{range .Site.Data.slides}}
        <div class="carousel-item">
          <img
            class="d-block img-fluid"
            src='{{.Site.BaseURL}}{{"slides/"}}{{.name}}'
            alt="{{.info}}"
          />
          <!-- image caption -->
          <div class="caption carousel-caption d-none d-md-block">
            <small class="alert alert-info border shadow"
              ><b>{{.info}}</b></small
            >
          </div>
        </div>
        {{end}}
        <script>
          const slides = document.querySelectorAll(".carousel-item");
          let index = 0;
          // show first slide on page load
          slides[0].classList.add("active");
          function slideShow(i = null) {
            if (i !== null) {
              index = i;
            }
            // if last side is reached, start over
            if (index > slides.length - 1) {
              slides[index - 1].classList.remove("active");
              index = 0;
            }
            slides[index].classList.add("active");
            // hide previous slide
            if (index != 0) {
              slides[index - 1].classList.remove("active");
            }
            index += 1;
          }
          setInterval(slideShow, 3000);
        </script>
      </div>
    </div>
  </div>
</div>
